<template>
  <QuestionsPreview v-if="trialCriterionId" :criterion-id="trialCriterionId" :is-system-criterion="isSystemCriterion" :form-type="1" style="padding:10px;" />
</template>
<script>
import QuestionsPreview from './components/QuestionsPreview'
export default {
  name: 'CriterionQuestions',
  components: { QuestionsPreview },
  data() {
    return {
      trialCriterionId: '',
      isSystemCriterion: ''
    }
  },
  mounted() {
    console.log(this.$route.query)
    this.trialCriterionId = this.$route.query.TrialReadingCriterionId
    this.isSystemCriterion = this.$route.query.isSystemCriterion === 'true'
  }
}
</script>
